﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace DataFormDropDown
{
    public class Address : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(String Name)
        {
            if (PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(Name));
        }
        public Address()
        {

        }

        private string country;
        private string city;
        public string Country
        {
            get { return this.country; }
            set
            {
                this.country = value;
                this.RaisePropertyChanged("Country");
            }
        }

        public string City
        {
            get { return this.city; }
            set
            {
                this.city = value;
                this.RaisePropertyChanged("City");
            }
        }
    }
}
